Skip to main content

Create Prospect: Knock

POSThttps://api.propexo.com/crm/v1/prospects/knock

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    attribution_idstringrequired

    The Propexo unique identifier for the attribution

    agent_idstring

    The Propexo unique identifier for the agent

    email_1string

    The primary email address associated with the prospect. This field and/or the phone_1 field are required

    phone_1string

    Primary phone number associated with the prospect. This field and/or the email_1 field are required

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    address_1string

    The first address line associated with the prospect

    citystring

    The city associated with the prospect

    statestring

    The state associated with the prospect

    zipstring

    The zip code associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    number_of_occupantsinteger

    The number of occupants living in the unit

    Possible values: > 0

    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1 and <= 18

    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring

    Notes associated with the prospect

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.

    Possible values: >= 0 and <= 3

    petsstring[]

    A list of pets related to the prospect

    Show 3 enum values
    SMALL_DOGLARGE_DOGCAT
    subscribeboolean

    Whether or not to subscribe the prospect to automated Knock messaging. Verify with your customer that they have legal consent to send email messages to this customer

    Default value: true
    first_contact_typestring

    The type of initial contact with the prospect

    Show 9 enum values
    CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_IN

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    community_idstringrequired

    The Propexo unique identifier for the community

    attribution_idstringrequired

    The Propexo unique identifier for the attribution

    agent_idstring | nullnullablerequired

    The Propexo unique identifier for the agent

    email_1string | nullnullablerequired

    The primary email address associated with the prospect. This field and/or the phone_1 field are required

    phone_1string | nullnullablerequired

    Primary phone number associated with the prospect. This field and/or the email_1 field are required

    first_namestring | nullnullablerequired

    The first name associated with the prospect

    last_namestring | nullnullablerequired

    The last name associated with the prospect

    address_1string | nullnullablerequired

    The first address line associated with the prospect

    citystring | nullnullablerequired

    The city associated with the prospect

    statestring | nullnullablerequired

    The state associated with the prospect

    zipstring | nullnullablerequired

    The zip code associated with the prospect

    move_in_datestring | nullnullablerequired

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants living in the unit

    Possible values: > 0

    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    Possible values: >= 1 and <= 18

    rent_minimum_in_centsinteger | nullnullablerequired

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger | nullnullablerequired

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring | nullnullablerequired

    Notes associated with the prospect

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]nullablerequired

    Possible values: >= 0 and <= 3

    petsstring[]nullablerequired
    Show 3 enum values
    SMALL_DOGLARGE_DOGCAT
    subscribeboolean

    Whether or not to subscribe the prospect to automated Knock messaging. Verify with your customer that they have legal consent to send email messages to this customer

    Default value: true
    first_contact_typestring | nullnullablerequired

    The type of initial contact with the prospect

    Show 9 enum values
    CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_IN

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/prospects/knock
curl -X POST https://api.propexo.com/crm/v1/prospects/knock \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"attribution_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"attribution_id": "string",
"agent_id": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"pets": "Unknown Type: array,null",
"subscribe": true,
"first_contact_type": "CALL"
}
}